Bug 210676 - [NEW PORT] editors/focuswriter: Simple, distraction-free writing environment
Summary: [NEW PORT] editors/focuswriter: Simple, distraction-free writing environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-29 00:11 UTC by lightside
Modified: 2016-07-14 16:41 UTC (History)
1 user (show)

See Also:


Attachments
The editors/focuswriter port in shar format (3.62 KB, text/plain)
2016-06-29 00:11 UTC, lightside
no flags Details
The editors/focuswriter-qt4 port in shar format (772 bytes, text/plain)
2016-06-29 00:14 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): editors/focuswriter (10.27 KB, application/x-bzip2)
2016-06-29 00:15 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64): editors/focuswriter-qt4 (10.16 KB, application/x-bzip2)
2016-06-29 00:15 UTC, lightside
no flags Details
The editors/focuswriter-qt4 port in shar format (772 bytes, text/plain)
2016-07-12 20:15 UTC, lightside
no flags Details
The editors/focuswriter port in shar format (3.65 KB, text/plain)
2016-07-12 20:38 UTC, lightside
no flags Details
The editors/focuswriter port in shar format (3.69 KB, text/plain)
2016-07-13 23:05 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 9.3 amd64): editors/focuswriter (10.31 KB, application/x-bzip2)
2016-07-13 23:06 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-06-29 00:11:52 UTC
Created attachment 171924 [details]
The editors/focuswriter port in shar format

FocusWriter is a simple, distraction-free writing environment. It utilizes a
hide-away interface that you access by moving your mouse to the edges of the
screen, allowing the program to have a familiar look and feel to it while still
getting out of the way so that you can immerse yourself in your work.

Features:
- TXT, basic RTF, and basic ODT file support
- Timers and alarms
- Daily goals
- Fully customizable themes
- Typewriter sound effects (optional)
- Auto-save (optional)
- Live statistics (optional)
- Spell-checking (optional)
- Multi-document support
- Sessions
- Portable mode (optional)
- Translated into over 20 languages

WWW: http://gottcode.org/focuswriter/
Comment 1 lightside 2016-06-29 00:14:29 UTC
Created attachment 171925 [details]
The editors/focuswriter-qt4 port in shar format

The Qt4 variant, which uses Qt4 libraries.
Comment 2 lightside 2016-06-29 00:15:07 UTC
Created attachment 171926 [details]
The poudriere testport log (FreeBSD 10.2 amd64): editors/focuswriter
Comment 3 lightside 2016-06-29 00:15:29 UTC
Created attachment 171927 [details]
The poudriere testport log (FreeBSD 10.2 amd64): editors/focuswriter-qt4
Comment 4 lightside 2016-06-29 00:17:04 UTC
The port for FocusWriter program was requested on FreeBSD forum(s):
https://forums.freebsd.org/threads/56119/

There is some issue in current 1.5.6 version, related to not properly working mouse clicks inside menu bar in windowed mode, if built with using Qt5 libraries. It's ok for Qt4 or fullscreen mode.
Comment 5 lightside 2016-07-12 20:15:41 UTC
Created attachment 172424 [details]
The editors/focuswriter-qt4 port in shar format

Fixed CONFLICTS_INSTALL variable for Qt4 variant.
Comment 6 lightside 2016-07-12 20:38:01 UTC
Created attachment 172425 [details]
The editors/focuswriter port in shar format

Sorted USES. Added correct TIMESTAMP value to the distinfo file.
Added some punctuation for original description:

FocusWriter is a simple, distraction-free writing environment. It utilizes a
hide-away interface, that you access by moving your mouse to the edges of the
screen, allowing the program to have a familiar look and feel to it, while still
getting out of the way, so that you can immerse yourself in your work.

Features:
- TXT, basic RTF, and basic ODT file support
- Timers and alarms
- Daily goals
- Fully customizable themes
- Typewriter sound effects (optional)
- Auto-save (optional)
- Live statistics (optional)
- Spell-checking (optional)
- Multi-document support
- Sessions
- Portable mode (optional)
- Translated into over 20 languages

WWW: http://gottcode.org/focuswriter/
Comment 7 Pawel Pekala freebsd_committer 2016-07-13 17:49:15 UTC
focuswriter and focusriter-qt4 fail to build on FreeBSD 9:
http://people.freebsd.org/~pawel/buildlogs/focuswriter-1.5.6-9amd64.log
Comment 8 lightside 2016-07-13 23:05:18 UTC
Created attachment 172490 [details]
The editors/focuswriter port in shar format

Hello Pawel Pekala.

(In reply to comment #7)
> focuswriter and focusriter-qt4 fail to build on FreeBSD 9
I fixed this issue in a new attachment. Thanks for review.
Comment 9 lightside 2016-07-13 23:06:27 UTC
Created attachment 172491 [details]
The poudriere testport log (FreeBSD 9.3 amd64): editors/focuswriter
Comment 10 commit-hook freebsd_committer 2016-07-14 16:34:50 UTC
A commit references this bug:

Author: pawel
Date: Thu Jul 14 16:34:42 UTC 2016
New revision: 418539
URL: https://svnweb.freebsd.org/changeset/ports/418539

Log:
  FocusWriter is a simple, distraction-free writing environment. It utilizes a
  hide-away interface, that you access by moving your mouse to the edges of the
  screen, allowing the program to have a familiar look and feel to it, while still
  getting out of the way, so that you can immerse yourself in your work.

  Features:
  - TXT, basic RTF, and basic ODT file support
  - Timers and alarms
  - Daily goals
  - Fully customizable themes
  - Typewriter sound effects (optional)
  - Auto-save (optional)
  - Live statistics (optional)
  - Spell-checking (optional)
  - Multi-document support
  - Sessions
  - Portable mode (optional)
  - Translated into over 20 languages

  WWW: http://gottcode.org/focuswriter/

  PR:		210676
  Submitted by:	lightside <lightside@gmx.com>

Changes:
  head/editors/Makefile
  head/editors/focuswriter/
  head/editors/focuswriter/Makefile
  head/editors/focuswriter/distinfo
  head/editors/focuswriter/pkg-descr
  head/editors/focuswriter/pkg-plist
Comment 11 commit-hook freebsd_committer 2016-07-14 16:37:51 UTC
A commit references this bug:

Author: pawel
Date: Thu Jul 14 16:37:39 UTC 2016
New revision: 418540
URL: https://svnweb.freebsd.org/changeset/ports/418540

Log:
  FocusWriter is a simple, distraction-free writing environment. It utilizes a
  hide-away interface, that you access by moving your mouse to the edges of the
  screen, allowing the program to have a familiar look and feel to it, while still
  getting out of the way, so that you can immerse yourself in your work.

  Features:
  - TXT, basic RTF, and basic ODT file support
  - Timers and alarms
  - Daily goals
  - Fully customizable themes
  - Typewriter sound effects (optional)
  - Auto-save (optional)
  - Live statistics (optional)
  - Spell-checking (optional)
  - Multi-document support
  - Sessions
  - Portable mode (optional)
  - Translated into over 20 languages

  WWW: http://gottcode.org/focuswriter/

  PR:		210676
  Submitted by:	lightside <lightside@gmx.com>

Changes:
  head/editors/Makefile
  head/editors/focuswriter-qt4/
  head/editors/focuswriter-qt4/Makefile